org.apache.ignite.internal.suggestions

## Class GridPerformanceSuggestions

- java.lang.Object
- - org.apache.ignite.internal.suggestions.GridPerformanceSuggestions

    public class GridPerformanceSuggestions
    extends Object

Grid performance suggestions.

### Constructor Summary

Constructors
Constructor and Description
`GridPerformanceSuggestions()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add(String sug)`
`void` `add(String sug, boolean suppress)`
`void` `addAll(List<String> suggestions)`
`void` `logSuggestions(IgniteLogger log, String igniteInstanceName)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridPerformanceSuggestions

    public GridPerformanceSuggestions()

### Method Detail

#### addAll

    public void addAll(List<String> suggestions)

Parameters:
  `suggestions` - Suggestions to add.

#### add

    public void add(String sug)

Parameters:
  `sug` - Suggestion to add.

#### add

    public void add(String sug,
                    boolean suppress)

Parameters:
  `sug` - Suggestion to add.
  `suppress` - `True` to suppress this suggestion.

#### logSuggestions

    public void logSuggestions(IgniteLogger log,
                               @Nullable
                               String igniteInstanceName)

Parameters:
  `log` - Log.
  `igniteInstanceName` - Ignite instance name.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018